TagLib::Matroska::Attachments Class Reference

Collection of attached files. More...

`#include <matroskaattachments.h>`

## Public Types

using | AttachedFileList = List<AttachedFile>
| List of attached files.

## Public Member Functions

| Attachments ()
| Construct attachments.
virtual | ~Attachments ()
| Destroy attachments.
void | addAttachedFile (const AttachedFile &file)
| Add an attached file.
void | removeAttachedFile (unsigned long long uid)
| Remove an attached file.
void | clear ()
| Remove all attached files.
const AttachedFileList & | attachedFileList () const
| Get list of all attached files.

## Friends

class | EBML::MkAttachments
class | File

## Detailed Description

Collection of attached files.

## Member Typedef Documentation

## AttachedFileList

using TagLib::Matroska::Attachments::AttachedFileList = List<AttachedFile>

List of attached files.

## Constructor & Destructor Documentation

## Attachments()

TagLib::Matroska::Attachments::Attachments | ( |  | ) |

Construct attachments.

## ~Attachments()

virtual TagLib::Matroska::Attachments::~Attachments | ( |  | ) |

virtual

Destroy attachments.

## Member Function Documentation

## addAttachedFile()

void TagLib::Matroska::Attachments::addAttachedFile | ( | const AttachedFile & | file | ) |

Add an attached file.

## attachedFileList()

const AttachedFileList & TagLib::Matroska::Attachments::attachedFileList | ( |  | ) | const

Get list of all attached files.

## clear()

void TagLib::Matroska::Attachments::clear | ( |  | ) |

Remove all attached files.

## removeAttachedFile()

void TagLib::Matroska::Attachments::removeAttachedFile | ( | unsigned long long | uid | ) |

Remove an attached file.

## Friends And Related Symbol Documentation

## EBML::MkAttachments

friend class EBML::MkAttachments

friend

## File

friend class File

friend

References File, and TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

Referenced by File.

The documentation for this class was generated from the following file:

- matroskaattachments.h